Bug 1267422 - Closing lid of HP ZBook with CentOS 7 with "HandleLidSwitch=ignore" in logind.conf freezes system
Closing lid of HP ZBook with CentOS 7 with "HandleLidSwitch=ignore" in logind...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: upower (Show other bugs)
7.2
Unspecified Linux
unspecified Severity high
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 21:36 EDT by David M. Karr
Modified: 2017-09-27 23:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 0009536 None None None Never

  None (edit)
Description David M. Karr 2015-09-29 21:36:52 EDT
Description of problem:

I have a HP ZBook with CentOS 7 (7.1, apparently). I have the monitor and external keyboard plugged into an HP port replicator, and the USB connector is connected to the laptop.

When the laptop is connected and the lid is open, I can see the same display on both monitors (set to "mirror display" in settings).

I set "HandleLidSwitch=ignore" in "/etc/systemd/logind.conf", rebooted, and logged back in.

I then closed the lid. At that point, nothing appeared to happen, which seemed like a good thing, but I then realized that the system was almost completely unresponsive, except for the display showing exactly what it was showing before closing the lid. The only two controls of any kind that are "alive" are the mouse cursor (not the buttons) and holding down the power button, which I resorted to after futilely pressing keys and clicking the mouse for a minute or so.

I've since done this test numerous times (I just left the setting in logind.conf), and it does exactly the same thing every time.

I haven't tested the behavior with any other value of the "HandleLidSwitch" field.

Version-Release number of selected component (if applicable):


How reproducible:
After setting "HandleLidSwitch=ignore" in "/etc/systemd/logind.conf", rebooted and logged back in, then closed the lid. Dead.


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 David M. Karr 2015-10-03 17:08:41 EDT
Note that I also have "Don't suspend on lid close" set to ON in tweaktool.

Note You need to log in before you can comment on or make changes to this bug.